package com.lz.common.exception;

/**
 * @Author: djc
 * @Desc:
 * @Date: 2020/7/22 17:27
 */
public class ZSException extends RuntimeException{
    private static final long serialVersionUID = 1L;

    private String msg;
    private int code = 500;

    public ZSException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public ZSException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }

    public ZSException(String msg, int code) {
        super(msg);
        this.msg = msg;
        this.code = code;
    }

    public ZSException(String msg, int code, Throwable e) {
        super(msg, e);
        this.msg = msg;
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}
